@charset "UTF-8";
@import "reset.css";

/* size set */
html {
  --fs: 4.2667vw;
  font-size: var(--fs);
}

@media screen and (min-width: 769px) {
  html {
    /* 1410 stop 16 */
    --fs: max(16px, 1.1348vw);
  }
}

body {
  --s-120: calc(120 / 32 * 1rem);
  --s-100: calc(100 / 32 * 1rem);
  --s-90: calc(90 / 32 * 1rem);
  --s-80: calc(80 / 32 * 1rem);
  --s-64: calc(64 / 32 * 1rem);
  --s-62: calc(62 / 32 * 1rem);
  --s-60: calc(60 / 32 * 1rem);
  --s-48: calc(48 / 32 * 1rem);
  --s-40: calc(40 / 32 * 1rem);
  --s-32: calc(32 / 32 * 1rem);
  --s-24: calc(24 / 32 * 1rem);
}

/* color set */
body {
  --color-main: rgb(0, 170, 177);
  --color-menubg: rgba(0, 170, 177, 0.95);
  --color-txt: rgb(77, 77, 77);
  --color-sumi70: rgb(114, 113, 113);
  --color-op: rgb(1, 33, 105);
  --color-black: rgb(0, 0, 0);
  --color-white: rgb(255, 255, 255);
}

/* font set */
body {
  font-family: "Noto Sans JP", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}
._wt_b { font-weight: 700; }

._f17 { font-size: calc(17 / 16 * 1rem);}
._f13 { font-size: calc(13 / 16 * 1rem);}
._f11 { font-size: max(11px, calc(11 / 16 * 1rem));}
._f10 { font-size: max(10px, calc(10 / 16 * 1rem));}

/* tool */
.bgt {
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
}
._lt-05 {
  letter-spacing: -.05em;
}

._txt_c { text-align: center;}

/* layout */
body {
  background-color: var(--color-white);
  color: var(--color-txt);
  line-height: 1.5;
}
img {
  width: 100%;
  height: auto;
}
._bg {
  background-repeat: no-repeat;
  background-size: contain;
  background-position: left top;
}
.sp_wrap {
  position: relative;
  width: 100%;
  background-color: var(--color-white);
  overflow: hidden;
}
.header     { z-index: 10; position: relative; }
.header_nav { z-index: 50; position: fixed; top: 0; right: 0; }
.main       { z-index: 20; position: relative; }

.sp_wrap { z-index: 30;}
.pc_wrap { z-index: 20;}
.pc_topbar { z-index: 40;}
.pc_bottombar { z-index: 40;}

@media screen and (min-width: 769px) {
  body {
    /* 1410 stop 375 */
    --spw-w: calc(max(375px, 26.5957vw) + 6px);
    --spw-h: 87.5vh;
  }
  .sp_wrap {
    width: var(--spw-w);
    margin: 0 auto;
    padding: 6.25vh 0;
    border-right: 3px var(--color-white) solid;
    border-left:  3px var(--color-white) solid;
  }
  .header_nav {
    display: none;
  }
}


/* ====== Header ====== */
.header .mv {
  position: relative;
  min-height: 100vh;
  height: calc(1420 / 32 * 1rem);
  background-color: var(--color-main);
  background-image: url(../images/mv.webp);
}
.header .mv .title {
  position: absolute;
  top: calc(960 / 32 * 1rem);
  left: calc(135 / 32 * 1rem);
  width: calc(480 / 32 * 1rem);
  height: calc(240 / 32 * 1rem);
  background-image: url(../images/mv_title.svg);
}
.header .mv .text {
  position: absolute;
  top: calc(360 / 32 * 1rem);
  left: calc(534 / 32 * 1rem);
  width: calc(100 / 32 * 1rem);
  height: calc(400 / 32 * 1rem);
  background-image: url(../images/mv_text.svg);
}
@media screen and (min-width: 769px) {
  .header .mv {
    min-height: var(--spw-h);
  }
}

/* Header Navi */
.header_nav {
  width: calc(150 / 32 * 1rem);
  height: calc(142 / 32 * 1rem);
}
.header_nav .header_head {
  display: flex;
  position: absolute;
  z-index: 30;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
}
.header_nav .header_head .btn_nav_menu {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}
.header_nav .header_head .btn_nav_menu > span {
  display: block;
  width: calc(100 / 32 * 1rem);
  height: calc(100 / 32 * 1rem);
  background-image: url(../images/btn_menu.svg);
}
.header_nav._open .header_head .btn_nav_menu > span {
  background-image: url(../images/btn_menu_close.svg);
}
.header_nav .nav_menu {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: calc(50 / 32 * 1rem);
  position: absolute;
  z-index: 20;
  top: 0;
  right: -100vw;
  width: 100vw;
  height: 100dvh;
  background-color: var(--color-menubg);
  transition: right .4s ease-in-out;
}
.header_nav._open .nav_menu {
  right: 0;
}
.header_nav .nav_menu > li:has(.menu_top) {
  padding-bottom: calc(14 / 32 * 1rem);
}
.header_nav .nav_menu > li > a {
  display: block;
}
.header_nav .nav_menu .menu_item {
  display: block;
  width: calc(510 / 32 * 1rem);
  height: calc(140 / 32 * 1rem);
}
.nav_menu .menu_item.menu_top { background-image: url(../images/menu_top.svg); height: calc(120 / 32 * 1rem); }
.nav_menu .menu_item.menu_about { background-image: url(../images/menu_about.svg); }
.nav_menu .menu_item.menu_howto { background-image: url(../images/menu_howto.svg); }
.nav_menu .menu_item.menu_enjoy { background-image: url(../images/menu_enjoy.svg); }


/* ====== Footer ====== */
.footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: calc(84 / 32 * 1rem);
}
.footer .osusume_box {
  display: flex;
  flex-direction: column;
  gap: var(--s-48);
}
.footer .osusume_box .osusume_contents {
  width: calc(660 / 32 * 1rem);
  height: calc(310 / 32 * 1rem);
}
.footer .notice {
  display: flex;
  align-items: center;
  width: calc(630 / 32 * 1rem);
  min-height: var(--s-120);
  margin-top: var(--s-120);
  color: var(--color-sumi70);
}
.footer .notice .image_touitsunbika {
  margin-left: -.125rem;
  width: var(--s-32);
}
.footer_logo {
  margin-top: var(--s-80);
  width: calc(360 / 32 * 1rem);
  height: calc(100 / 32 * 1rem);
  background-image: url(../images/takara_logo.svg);
}
.footer .copy {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: calc(86 / 32 * 1rem);
  margin-top: calc(100 / 32 * 1rem);
  background-color: var(--color-op);
  color: var(--color-white);
}

/* ====== Main ====== */
/* section title */
.sec_title {
  height: calc(240 / 32 * 1rem);
}
.sec_body .hukidashi {
  height: calc(70 / 32 * 1rem);
}
/* section lead */
.sec_lead {
  min-height: calc(2613 / 32 * 1rem);
  margin-top: calc(-166 / 32 * 1rem);
  padding-top: calc(127 / 32 * 1rem);
  background-image: url(../images/bg_sec_lead.webp);
}
.sec_lead .text1-1 {
  height: calc(220 / 32 * 1rem);
}
.sec_lead .cheers_box {
  height: calc(824 / 32 * 1rem);
}
.sec_lead .text1-2 {
  height: calc(264 / 32 * 1rem);
  background-image: url(../images/text1-2.svg);
}
.sec_lead .text1-3 {
  width: calc(240 / 32 * 1rem);
  height: calc(120 / 32 * 1rem);
  margin-right: auto;
  margin-left: auto;
  background-image: url(../images/text1-3.svg);
}
.sec_lead .cheers_box {
  position: relative;
}
.sec_lead .cheers_box .image {
  position: absolute;
  top: calc(264 / 32 * 1rem);
  width: calc(400 / 32 * 1rem);
  height: calc(560 / 32 * 1rem);
}
.sec_lead .cheers_box .image1-1 { left: 0; background-image: url(../images/image1-1.svg); }
.sec_lead .cheers_box .image1-2 { right: 0; background-image: url(../images/image1-2.svg); }

.sec_lead .osusume_box {
  margin-top: var(--s-60);
}
.sec_lead .osusume_box .title {
  height: var(--s-90);
}
.sec_lead .osusume_list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: var(--s-32) var(--s-40);
  margin-top: var(--s-24);
}
.sec_lead .osusume_list > li {
  width: calc(300 / 32 * 1rem);
  height: calc(342 / 32 * 1rem);
}
.sec_lead .osusume_list .osusume_item3 {
  height: calc(380 / 32 * 1rem);
}


/* section about */
.about_box {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.about_box .hukidashi {
  width: calc(280 / 32 * 1rem);
  margin-top: calc(52 / 32 * 1rem);
}
.about_box .text2-1 {
  width: 100%;
}
.about_box .text2-1-1 { height: var(--s-120); }
.about_box .text2-1-2 { height: var(--s-48); }
.about_box .text2-1-3 { height: var(--s-62); }
.about_box .text2-1-4 { height: var(--s-62); }
.about_box .text2-1-5 { height: var(--s-48); }
.about_box .text2-1-6 { height: var(--s-62); }
.about_box .text2-1-7 { height: var(--s-62); }

.about_box .products_adlib {
  display: flex;
  justify-content: center;
  margin-top: var(--s-80);
  color: var(--color-op);
}
.about_box .products_adlib dl {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: calc(286 / 32 * 1rem);
}
.about_box .products_adlib dl dt.bgt {
  width: 0;
}
.about_box .products_adlib div {
  display: flex;
}
.about_box .products_adlib div:first-child {
  margin-bottom: var(--s-24);
}

/* section howto */
.sec_howto {
  min-height: calc(3881 / 32 * 1rem);
  margin-top: calc(156 / 32 * 1rem);
  padding-top: calc(116 / 32 * 1rem);
  background-image: url(../images/bg_sec_howto.webp);
}

.howto_box {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.howto_box .hukidashi {
  width: calc(304 / 32 * 1rem);
  margin-top: var(--s-60);
}

.text3-1 {
  width: 100%;
  height: var(--s-120);
  margin-top: var(--s-40);
}
.text3-2 {
  width: 100%;
  height: var(--s-60);
}
.howto_step_list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: var(--s-40);
  margin-top: var(--s-48);
}
.howto_step_list .howto_step {
  width: calc(588 / 32 * 1rem);
  height: calc(595 / 32 * 1rem);
}

.adlib_menu_list_box {
  margin-top: calc(144 / 32 * 1rem);
}
.adlib_menu_list_box .title {
  height: calc(132 / 32 * 1rem);
}
.adlib_menu_list_box .swiper {
  width: 100%;
  height: calc(700 / 32 * 1rem);
}
.adlib_menu_list_box .swiper .swiper-wrapper {
  transition-timing-function: linear;
}
.adlib_menu_list_box .adlib_menu_list.swiper-slide {
  position: relative;
  display: flex;
  justify-content: center;
  width: calc(4875 / 32 * 1rem);
}
.adlib_menu_list_box .swiper-slide > li {
  position: relative;
  display: flex;
  justify-content: center;
  width: calc(325 / 32 * 1rem);
}
.adlib_menu_list_box .adlib_menu_name {
  position: absolute;
  z-index: 30;
  top: calc(585 / 700 * 100%);
  left: 50%;
  transform: translate(-50%, 0);
  width: 120%;
  color: var(--color-white);
  text-align: center;
}
.adlib_menu_list_box .adlib_menu_image {
  position: absolute;
  z-index: 20;
  top: 0;
  left: 0;
  width: calc(1080 / 650 * 100%);
  height: 0;
  padding-top: calc(700 / 325 * 100%);
  background-repeat: no-repeat;
  background-position: left top;
  background-size: contain;
}
.adlib_menu_list_box .adlib_menu_image > img {
  position: absolute;
  width: 100%;
  height: 100%;
  inset: 0;
}


/* section enjoy */
.sec_enjoy {
  margin-top: var(--s-80);
}
.sec_enjoy .enjoy_box {
  margin-top: var(--s-60);
}
.sec_enjoy .enjoy_box .hukidashi {
  width: calc(370 / 32 * 1rem);
  margin-right: auto;
  margin-left: auto;
}
.sec_enjoy .enjoy_box .text_comingsoon {
  display: flex;
  justify-content: center;
  align-items: center;
  height: calc(750 / 32 * 1rem);
  color: var(--color-main);
}

/* btn_top */
.btn_top {
  position: absolute;
  bottom: 0;
  right: var(--s-24);
  z-index: 60;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: opacity .3s ease, visibility .3s ease;
}
.btn_top._show {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}
.btn_top._fixed {
  position: fixed;
  bottom: var(--s-48);
  right: var(--s-24);
}
.btn_top > a {
  display: block;
  width: var(--s-100);
  height: var(--s-100);
  background-image: url(../images/btn_top.svg);
}
@media screen and (min-width: 769px) {
  .btn_top {
    right: calc(var(--s-24) + 3px);
  }
  .btn_top._fixed {
    bottom: calc(var(--s-48) + 6.5vh);
    right: calc((100% - var(--spw-w)) * 0.5 + 6px + var(--s-24));
  }
}

/* ====== PC View ====== */
.wrap {
  background-color: var(--color-main);
}
.pc_wrap { 
  display: none;
}
@media screen and (min-width: 769px) {
  .pc_wrap {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../images/bg_pc_8.png);
  }
  .pc_wrap::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 0;
    padding-top: calc(200 / 1410 * 100%);
    background-repeat: no-repeat;
    background-position: left bottom;
    background-size: contain;
    background-image: url(../images/bg_pc_drink.webp);
  }
  .pc_topbar,
  .pc_bottombar {
    position: fixed;
    left: 0;
    width: 100%;
    height: 6.25vh;
    background-color: var(--color-main);
    background-image: url(../images/bg_pc_8.png);
  }
  .pc_topbar {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    top: 0;
    position: fixed;
  }
  .pc_bottombar {
    display: flex;
    justify-content: center;
    position: fixed;
    bottom: 0;
    overflow: hidden;
  }
  .pc_bottombar::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 0;
    padding-top: calc(200 / 1410 * 100%);
    background-repeat: no-repeat;
    background-position: left bottom;
    background-size: contain;
    background-image: url(../images/bg_pc_drink.webp);
  }
  .pc_topbar::after,
  .pc_bottombar::after {
    content: '';
    display: block;
    width: var(--spw-w);
    height: 3px;
    background-color: var(--color-white);
  }
  .pc_bottombar::after {
    position: relative;
  }
  .pc_title,
  .pc_nav_menu {
    display: flex;
    justify-content: center;
    align-items: center;
    width: calc((100% - var(--spw-w)) * 0.5);
    color: var(--color-white);
  }
  .pc_title .title {
    width: 100%;
    max-width: calc(480 / 32 * 1rem);
    aspect-ratio: 2/1;
    margin-bottom: 7vh;
    background-image: url(../images/mv_title.svg);
  }
  .pc_nav_menu ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--s-32);
    width: 100%;
    padding-bottom: 7vh;
  }
  .pc_nav_menu li {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
    max-width: calc(400 / 32 * 1rem);
  }
  .pc_nav_menu li a {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    width: 100%;
  }
  .pc_nav_menu .menu_item_text {
    margin-left: 17%;
    margin-top: -9px;
  }
  .pc_nav_menu .menu_top {
    width: calc(312 / 349 * 100%);
    aspect-ratio: 312/60;
    background-image: url(../images/pc_menu_top.svg);
  }
  .pc_nav_menu .menu_about {
    width: calc(310 / 349 * 100%);
    aspect-ratio: 310/60;
    background-image: url(../images/pc_menu_about.svg);
  }
  .pc_nav_menu .menu_about_text {
    width: calc(250 / 349 * 100%);
    aspect-ratio: 250/48;
    background-image: url(../images/pc_menu_about_text.svg);
  }
  .pc_nav_menu .menu_howto {
    width: calc(349 / 349 * 100%);
    aspect-ratio: 349/60;
    background-image: url(../images/pc_menu_howto.svg);
  }
  .pc_nav_menu .menu_howto_text {
    width: calc(211 / 349 * 100%);
    aspect-ratio: 211/48;
    background-image: url(../images/pc_menu_howto_text.svg);
  }
  .pc_nav_menu .menu_enjoy {
    width: calc(312 / 349 * 100%);
    aspect-ratio: 312/60;
    background-image: url(../images/pc_menu_enjoy.svg);
  }
  .pc_nav_menu .menu_enjoy_text {
    width: calc(248 / 349 * 100%);
    aspect-ratio: 248/48;
    background-image: url(../images/pc_menu_enjoy_text.svg);
  }
}
@media screen and (min-width: 961px) {
  .pc_nav_menu li {
    max-width: calc(560 / 32 * 1rem);
    aspect-ratio: 560/110;
  }
  .pc_nav_menu li:has(.menu_top) {
    aspect-ratio: 560/105;
  }
  .pc_nav_menu .menu_item_text {
    margin-top: 0;
    margin-left: 0;
  }
  .pc_nav_menu .menu_top {
    width: calc(312 / 560 * 100%);
  }
  .pc_nav_menu .menu_about {
    width: calc(310 / 560 * 100%);
  }
  .pc_nav_menu .menu_about_text {
    width: calc(250 / 560 * 100%);
  }
  .pc_nav_menu .menu_howto {
    width: calc(349 / 560 * 100%);
  }
  .pc_nav_menu .menu_howto_text {
    width: calc(211 / 560 * 100%);
  }
  .pc_nav_menu .menu_enjoy {
    width: calc(312 / 560 * 100%);
  }
  .pc_nav_menu .menu_enjoy_text {
    width: calc(248 / 560 * 100%);
  }
}




/* --- loading --- */
.loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100dvh;
  background-color: var(--color-main);
  z-index: 9000;
  opacity: 1;
  transition: opacity .5s;
}

.loading._start {
  opacity: 0;
}

.loading._close {
  display: none;
}

.loading .loader {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 60px;
  transform: translate(-50%, -50%);
  aspect-ratio: 1/1;
}

.loading .loader::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  aspect-ratio: 1/1;
  border-radius: 50%;
  background: conic-gradient(from 0deg, var(--color-main) 60%, var(--color-white));
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

.loading .loader::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 50px;
  aspect-ratio: 1/1;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--color-main);
}


/* ====== Animations ====== */
/* Fade IN  */
._f_in {
  opacity: 0;
  transition: opacity 1.2s;
}
._f_in._delay02 { transition: opacity 1.2s .2s; }
._f_in._delay06 { transition: opacity 1.2s .6s; }
._f_in._delay08 { transition: opacity 1.2s .8s; }
._f_in._delay10 { transition: opacity 1.2s 1.0s; }
._f_in._delay12 { transition: opacity 1.2s 1.2s; }
._f_in._delay16 { transition: opacity 1.2s 1.6s; }
._start ._f_in,
._f_in._start {
  opacity: 1;
}

/* Fade IN Bottom to Top  */
._f_in_bt {
  position: relative;
  top: 15dvh;
  opacity: 0;
  transition:
    top .8s,
    opacity 1.2s;
}
._f_in_bt._delay02 { transition: top .8s .2s,  opacity 1.2s .2s; }
._f_in_bt._delay04 { transition: top .8s .4s,  opacity 1.2s .4s; }
._f_in_bt._delay05 { transition: top .8s .5s,  opacity 1.2s .5s; }
._f_in_bt._delay06 { transition: top .8s .6s,  opacity 1.2s .6s; }
._f_in_bt._delay07 { transition: top .8s .7s,  opacity 1.2s .7s; }
._f_in_bt._delay08 { transition: top .8s .8s,  opacity 1.2s .8s; }
._f_in_bt._delay09 { transition: top .8s .9s,  opacity 1.2s .9s; }
._f_in_bt._delay10 { transition: top .8s 1.0s, opacity 1.2s 1.0s; }
._f_in_bt._delay11 { transition: top .8s 1.1s, opacity 1.2s 1.1s; }
._f_in_bt._delay12 { transition: top .8s 1.2s, opacity 1.2s 1.2s; }
._start ._f_in_bt,
._f_in_bt._start {
  opacity: 1;
  top: 0;
}

/* Slide IN Left to Right  */
._s_in_lr {
  position: relative;
  margin-left: -15dvw;
  opacity: 0;
  transition:
    margin-left .8s ease-in-out,
    opacity 1.2s;
}
._s_in_lr._delay06 { transition: margin-left .8s .6s,  opacity 1.2s .6s; }
._start ._s_in_lr,
._s_in_lr._start {
  opacity: 1;
  margin-left: 0;
}

/* Slide IN Right to Left  */
._s_in_rl {
  position: relative;
  margin-right: -15dvw;
  opacity: 0;
  transition:
    margin-right .8s ease-in-out,
    opacity 1.2s;
}
._s_in_rl._delay06 { transition: margin-right .8s .6s,  opacity 1.2s .6s; }
._start ._s_in_rl,
._s_in_rl._start {
  opacity: 1;
  margin-right: 0;
}

